<?php
/**
 * 播放器广告页
 * @copyright reginx.com
 * $Id$
 */
class ad_mod extends mod{

    /**
     * 缓冲页广告
     */
    public function loadAct(){
        $this->nocache();
        $this->assign('index', 9);
        $this->assign('ads', api_lib::getads());
        $this->display('inc/ad.tpl.html');
    }

    /**
     * 暂停页广告
     */
    public function pauseAct(){
        $this->nocache();
        $this->assign('index', 10);
        $this->assign('ads', api_lib::getads());
        $this->display('inc/ad.tpl.html');
    }

    /**
     * 结束页广告
     */
    public function endAct(){
        $this->nocache();
        $this->assign('index', 11);
        $this->assign('ads', api_lib::getads());
        $this->display('inc/ad.tpl.html');
    }
}
?>